WNEntryManager Struct Reference

the manager of the entries More...

`#include <WNEntry.hxx>`

## Public Member Functions

| WNEntryManager ()
WNEntry | get (long pos) const
| return an entry for a position More...
bool | add (WNEntry const &entry)
| add a new entry More...
void | reset ()
| reset the data More...

## Public Attributes

std::map< long, WNEntry > | m_posMap
| the list of entries by position More...
std::multimap< std::string, WNEntry const * > | m_typeMap
| the list of entries More...

## Detailed Description

the manager of the entries

## Constructor & Destructor Documentation

WNEntryManager::WNEntryManager | ( |  | ) |

inline

## Member Function Documentation

bool WNEntryManager::add | ( | WNEntry const & | entry | ) |

inline

add a new entry

WNEntry WNEntryManager::get | ( | long | pos | ) | const

inline

return an entry for a position

void WNEntryManager::reset | ( |  | ) |

inline

reset the data

## Member Data Documentation

std::map<long, WNEntry> WNEntryManager::m_posMap

the list of entries by position

Referenced by add(), get(), and reset().

std::multimap<std::string, WNEntry const *> WNEntryManager::m_typeMap

the list of entries

Referenced by add(), and reset().

The documentation for this struct was generated from the following file:

- WNEntry.hxx